## pg-rational 0.0.2

=== Makefile ===
MODULES = pg_rational
EXTENSION = pg_rational
DATA = pg_rational--0.0.1.sql
REGRESS = pg_rational_test
PG_CPPFLAGS = -std=c99 -Wextra -Wpedantic

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

## pg-rational 0.0.1

=== debian/changelog ===
pg-rational (0.0.1-2.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 29 Oct 2019 13:17:29 +0100

pg-rational (0.0.1-2) unstable; urgency=medium

  * Upload for PostgreSQL 12.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Tue, 29 Oct 2019 13:17:29 +0100

pg-rational (0.0.1-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 23 Nov 2018 09:21:46 +0100

=== debian/control ===
Source: pg-rational
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 153~)
Standards-Version: 4.2.0
Homepage: https://github.com/begriffs/pg_rational
Vcs-Browser: https://salsa.debian.org/postgresql/pg-rational
Vcs-Git: https://salsa.debian.org/postgresql/pg-rational.git

Package: postgresql-9.6-rational
Architecture: any
Depends: postgresql-9.6, ${misc:Depends}, ${shlibs:Depends}
Description: Precise fractional arithmetic for PostgreSQL
 pg_rational implements precise fractional arithmetic for PostgreSQL. Perfect
 for exact arithmetic or user-specified table row ordering. Holds values as big
 as an integer, with matching precision in the denominator.
 .
 Features:
  * Stores fractions in exactly 64 bits (same size as float)
  * Written in C for high performance
  * Detects and halts arithmetic overflow for correctness
  * Uses native CPU instructions for fast overflow detection
  * Defers GCD calculation until requested or absolutely required
  * Supports btree and hash indices
  * Implements Stern-Brocot trees for finding intermediate points
  * Coercion from integer/bigint/tuple
  * Custom aggregate

Package: postgresql-10-rational
Architecture: any
Depends: postgresql-10, ${misc:Depends}, ${shlibs:Depends}
Description: Precise fractional arithmetic for PostgreSQL
 pg_rational implements precise fractional arithmetic for PostgreSQL. Perfect
 for exact arithmetic or user-specified table row ordering. Holds values as big
 as an integer, with matching precision in the denominator.
 .
 Features:
  * Stores fractions in exactly 64 bits (same size as float)
  * Written in C for high performance
  * Detects and halts arithmetic overflow for correctness
  * Uses native CPU instructions for fast overflow detection
  * Defers GCD calculation until requested or absolutely required
  * Supports btree and hash indices
  * Implements Stern-Brocot trees for finding intermediate points
  * Coercion from integer/bigint/tuple
  * Custom aggregate

Package: postgresql-11-rational
Architecture: any
Depends: postgresql-11, ${misc:Depends}, ${shlibs:Depends}
Description: Precise fractional arithmetic for PostgreSQL
 pg_rational implements precise fractional arithmetic for PostgreSQL. Perfect
 for exact arithmetic or user-specified table row ordering. Holds values as big
 as an integer, with matching precision in the denominator.
 .
 Features:
  * Stores fractions in exactly 64 bits (same size as float)
  * Written in C for high performance
  * Detects and halts arithmetic overflow for correctness
  * Uses native CPU instructions for fast overflow detection
  * Defers GCD calculation until requested or absolutely required
  * Supports btree and hash indices
  * Implements Stern-Brocot trees for finding intermediate points
  * Coercion from integer/bigint/tuple
  * Custom aggregate

Package: postgresql-12-rational
Architecture: any
Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
Description: Precise fractional arithmetic for PostgreSQL
 pg_rational implements precise fractional arithmetic for PostgreSQL. Perfect
 for exact arithmetic or user-specified table row ordering. Holds values as big
 as an integer, with matching precision in the denominator.
 .
 Features:
  * Stores fractions in exactly 64 bits (same size as float)
  * Written in C for high performance
  * Detects and halts arithmetic overflow for correctness
  * Uses native CPU instructions for fast overflow detection
  * Defers GCD calculation until requested or absolutely required
  * Supports btree and hash indices
  * Implements Stern-Brocot trees for finding intermediate points
  * Coercion from integer/bigint/tuple
  * Custom aggregate

## pg-rational 0.0.2~20220627.1714-4~1.git66b351c.pgdg90+1

=== debian/changelog ===
pg-rational (0.0.2~20220627.1714-4~1.git66b351c.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 13 Dec 2021 17:01:09 +0100

pg-rational (0.0.2-4) unstable; urgency=medium

  * Fix github watchfile.

 -- Christoph Berg <myon@debian.org>  Mon, 13 Dec 2021 17:01:09 +0100

pg-rational (0.0.2-3) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Fri, 15 Oct 2021 14:39:37 +0200

pg-rational (0.0.2-2) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 10.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.2.1, no changes needed.

  [ Christoph Berg ]
  * Upload for PostgreSQL 13.
  * Use dh --with pgxs.
  * R³: no.
  * DH 13.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 11:39:58 +0200

pg-rational (0.0.2-1) unstable; urgency=medium

  * New upstream version.
  * Bump minimum supported PG version to 11, needs common/int.h.

 -- Christoph Berg <myon@debian.org>  Tue, 04 Feb 2020 11:45:15 +0100

## pg-rational 0.0.2

=== debian/changelog ===
pg-rational (0.0.2-8) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117284)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 16:30:50 +0200

pg-rational (0.0.2-7) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Sep 2024 21:52:25 +0200

pg-rational (0.0.2-6) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Sun, 17 Sep 2023 20:43:07 +0200

pg-rational (0.0.2-5) unstable; urgency=medium

  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Fri, 21 Oct 2022 10:58:11 +0200

=== debian/control ===
Source: pg-rational
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.2
Homepage: https://github.com/begriffs/pg_rational
Vcs-Browser: https://salsa.debian.org/postgresql/pg-rational
Vcs-Git: https://salsa.debian.org/postgresql/pg-rational.git

Package: postgresql-18-rational
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: Precise fractional arithmetic for PostgreSQL
 pg_rational implements precise fractional arithmetic for PostgreSQL. Perfect
 for exact arithmetic or user-specified table row ordering. Holds values as big
 as an integer, with matching precision in the denominator.
 .
 Features:
  * Stores fractions in exactly 64 bits (same size as float)
  * Written in C for high performance
  * Detects and halts arithmetic overflow for correctness
  * Uses native CPU instructions for fast overflow detection
  * Defers GCD calculation until requested or absolutely required
  * Supports btree and hash indices
  * Implements Stern-Brocot trees for finding intermediate points
  * Coercion from integer/bigint/tuple
  * Custom aggregate

=== debian/watch ===
version=4
https://github.com/begriffs/pg_rational/tags .*/v(.*).tar.gz
